﻿Public Class Form1

	Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

		Dim strValues(3)

		strValues(0) = "Some Text"
		strValues(1) = "2.987"
		strValues(2) = "More Text"
		strValues(3) = "1234.1234567890"

		'----------------------------------
		Dim orgApp As Origin.Application
        Dim orgBook As Origin.WorksheetPage
        Dim orgWks1 As Origin.Worksheet
        Dim orgWks2 As Origin.Worksheet
        Dim orgColumn1 As Origin.Column
		Dim orgColumn2 As Origin.Column

		orgApp = New Origin.Application
        orgApp.NewProject()

        orgBook = orgApp.WorksheetPages.Add()
        orgBook.LongName = "Book Long Name"

        ' Add a 2nd worksheet to the new workbook.
        orgWks2 = orgBook.Layers.Add("My2ndSheet")
        ' Add two columns to the 2nd worksheet.
        orgWks2.Columns.Add()
        orgWks2.Columns.Add()

        orgWks1 = orgBook.Layers(0)
        orgWks1.Name = "My Sheet"
        orgWks1.Labels("L") ' Show column long names.

        orgColumn1 = orgWks1.Columns.Add()
        orgColumn1.Name = "One"
        orgColumn1.LongName = "One Long Name"
        orgColumn1.DataFormat = Origin.COLDATAFORMAT.DF_TEXT_NUMERIC
        orgColumn1.SetData(strValues)

        orgColumn2 = orgWks1.Columns.Add("Two")
        orgColumn2.LongName = "Two Long Name"

        ' For column 2 we set TextAndNumericSetAlwaysAsText to true.
		' This ensures that all values will be treated as Text
		' despite the fact that some of the values are numeric.
		orgColumn2.DataFormat = Origin.COLDATAFORMAT.DF_TEXT_NUMERIC
		orgColumn2.TextAndNumericSetAlwaysAsText = True
		orgColumn2.SetData(strValues)

        orgBook.SetLTObjNumVar("page.title", 3) ' 1=short name, 2=long name, 3=both names
        orgBook.SetLTObjStrVar("page.longname", "my long name")

        If orgApp.Save(TextBox1.Text) Then
            statusLabel.Text = "Success!  The project file was created."
        Else
            statusLabel.Text = "Error!  The project file was NOT created."
        End If

        orgApp.NewProject() ' make sure project is released

		orgColumn1 = Nothing
		orgColumn2 = Nothing
        orgWks1 = Nothing
        orgWks2 = Nothing
        orgBook = Nothing
		orgApp = Nothing

	End Sub

End Class
