﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Origin;

namespace Sample1
{
    public partial class Form1 : Form
    {
        Origin.Application org;
        Origin.WorksheetPage orgWkBk;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            org = new Origin.Application();
            org.NewProject();

        }
        private void Form1_FormClosing(object sender, EventArgs e)
        {
            org.Exit();
            System.Runtime.InteropServices.Marshal.FinalReleaseComObject(org);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string sFilename = "d:\\Sample1.opj";
            label1.Text = "Creating OPJ and saving to " + sFilename;
            try
            {
                orgWkBk = org.WorksheetPages.Add();
                Worksheet wks = (Worksheet)orgWkBk.Layers[0];
                wks.Cols = 2;
                Column colA = wks.Columns[0];
                Column colB = wks.Columns[1];
				colA.Name = "NewName";
                int[] aa = new int[10];
                double[] bb = new double[10];
                for (int ii = 0; ii < 10; ii++)
                {
                    aa[ii] = ii + 1;
                    bb[ii] = Math.Sin(aa[ii] / 4.0 * Math.PI);
                }
                colA.SetData(aa);
                colB.SetData(bb);

                org.Save(sFilename);
                label1.Text = "OPJ created at " + sFilename;
            }
            catch (Exception)
            {
                label1.Text = "Exception";
            }
        }
    }
}
